## helma.util
Class Diff.change

    java.lang.Object
      helma.util.Diff.change

Enclosing class:
  Diff

    public static class Diff.change

extends java.lang.Object

The result of comparison is an "edit script": a chain of change objects. Each change represents one place where some lines are deleted and some are inserted. LINE0 and LINE1 are the first affected lines in the two files (origin 0). DELETED is the number of lines deleted here from file 0. INSERTED is the number of lines inserted here in file 1. If DELETED is 0 then LINE0 is the number of the line before which the insertion was done; vice versa for INSERTED and LINE1.

Field Summary
`int` `deleted` # lines of file 0 changed here.
`int` `inserted` # lines of file 1 changed here.
`int` `line0` Line number of 1st deleted line.
`int` `line1` Line number of 1st inserted line.
`Diff.change` `link` Previous or next edit command.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### link

    public Diff.change link

  Previous or next edit command.

### inserted

    public final int inserted

  # lines of file 1 changed here.

### deleted

    public final int deleted

  # lines of file 0 changed here.

### line0

    public final int line0

  Line number of 1st deleted line.

### line1

    public final int line1

  Line number of 1st inserted line.

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.